## ros-galactic-rmf-fleet-adapter 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

project(rmf_fleet_adapter)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(yaml-cpp REQUIRED)
if(DEFINED ENV{RMF_ENABLE_FAILOVER})
  if($ENV{RMF_ENABLE_FAILOVER} EQUAL 1)
    find_package(stubborn_buddies REQUIRED)
    find_package(stubborn_buddies_msgs REQUIRED)
  endif()
endif()
include(GNUInstallDirs)

set(dep_pkgs
  rclcpp
  rclcpp_components
  rmf_utils
  rmf_dispenser_msgs
  rmf_ingestor_msgs
  rmf_door_msgs
  rmf_fleet_msgs
  rmf_lift_msgs
  rmf_task_msgs
  rmf_traffic
  rmf_traffic_ros2
  rmf_battery
  rmf_task
  std_msgs
)
foreach(pkg ${dep_pkgs})
  find_package(${pkg} REQUIRED)
endforeach()

if(BUILD_TESTING)
  find_package(rmf_cmake_uncrustify REQUIRED)
  find_file(uncrustify_config_file
    NAMES "rmf_code_style.cfg"
    PATHS "${rmf_utils_DIR}/../../../share/rmf_utils/")

  rmf_uncrustify(
    include src test rmf_rxcpp/include rmf_rxcpp/src rmf_rxcpp/test
    CONFIG_FILE ${uncrustify_config_file}
    MAX_LINE_LENGTH 80
  )
endif()
# -----------------------------------------------------------------------------

add_subdirectory(rmf_rxcpp)

# -----------------------------------------------------------------------------

file(GLOB_RECURSE rmf_fleet_adapter_srcs "src/rmf_fleet_adapter/*.cpp")

add_library(rmf_fleet_adapter SHARED
  ${rmf_fleet_adapter_srcs}
)

target_link_libraries(rmf_fleet_adapter
  PUBLIC
    rmf_traffic_ros2::rmf_traffic_ros2
    rmf_battery::rmf_battery
    rmf_task::rmf_task
    yaml-cpp
    ${rmf_fleet_msgs_LIBRARIES}
    ${rclcpp_LIBRARIES}
    ${rmf_task_msgs_LIBRARIES}
  PRIVATE
    rmf_rxcpp
    ${rmf_door_msgs_LIBRARIES}
    ${rmf_lift_msgs_LIBRARIES}
    ${rmf_dispenser_msgs_LIBRARIES}
    ${rmf_ingestor_msgs_LIBRARIES}
)

target_include_directories(rmf_fleet_adapter
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${rmf_traffic_ros2_INCLUDE_DIRS}
    ${rmf_fleet_msgs_INCLUDE_DIRS}
    ${rclcpp_INCLUDE_DIRS}
    ${rmf_task_msgs_INCLUDE_DIRS}
    ${rmf_battery_INCLUDE_DIRS}
  PRIVATE
    ${rmf_door_msgs_INCLUDE_DIRS}
    ${rmf_lift_msgs_INCLUDE_DIRS}
    ${rmf_dispenser_msgs_INCLUDE_DIRS}
    ${rmf_ingestor_msgs_INCLUDE_DIRS}
)

if (BUILD_TESTING)
  find_package(ament_cmake_catch2 REQUIRED)
  find_package(std_msgs REQUIRED)

  ament_add_catch2(
    test_rmf_fleet_adapter
      test/main.cpp
      test/adapters/test_TrafficLight.cpp
      test/phases/MockAdapterFixture.cpp
      test/phases/test_DoorOpen.cpp
      test/phases/test_DoorClose.cpp
      test/phases/test_RequestLift.cpp
      test/phases/test_DispenseItem.cpp
      test/phases/test_IngestItem.cpp
      test/phases/test_GoToPlace.cpp
      test/services/test_FindEmergencyPullover.cpp
      test/services/test_FindPath.cpp
      test/services/test_Negotiate.cpp
      test/tasks/test_Delivery.cpp
      test/tasks/test_Loop.cpp
      test/test_Task.cpp
    TIMEOUT 300
  )
  target_include_directories(test_rmf_fleet_adapter
    PRIVATE
      # private includes of rmf_fleet_adapter
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/rmf_fleet_adapter>
      ${rmf_task_msgs_INCLUDE_DIRS}
      ${rmf_door_msgs_INCLUDE_DIRS}
      ${rmf_lift_msgs_INCLUDE_DIRS}
      ${rmf_dispenser_msgs_INCLUDE_DIRS}
      ${rmf_ingestor_msgs_INCLUDE_DIRS}
      ${std_msgs_INCLUDE_DIRS}
  )
  target_link_libraries(test_rmf_fleet_adapter
    PRIVATE
      # private libraries of rmf_fleet_adapter
      rmf_rxcpp
      ${rmf_task_msgs_LIBRARIES}
      ${rmf_door_msgs_LIBRARIES}
      ${rmf_lift_msgs_LIBRARIES}
      ${rmf_dispenser_msgs_LIBRARIES}
      ${rmf_ingestor_msgs_LIBRARIES}
      rmf_fleet_adapter
      rmf_utils::rmf_utils
      ${std_msgs_LIBRARIES}
  )

  target_compile_definitions(test_rmf_fleet_adapter
    PRIVATE
      "-DTEST_RESOURCES_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}/test/resources/\"")

endif ()

# -----------------------------------------------------------------------------

add_executable(read_only
  src/read_only/main.cpp
  src/read_only/FleetAdapterNode.cpp
)

target_link_libraries(read_only
  PRIVATE
    rmf_fleet_adapter
)

# -----------------------------------------------------------------------------

add_executable(read_only_blockade
  src/read_only_blockade/main.cpp
  src/read_only_blockade/FleetAdapterNode.cpp
)

target_link_libraries(read_only_blockade
  PRIVATE
    rmf_fleet_adapter
)

# -----------------------------------------------------------------------------

add_executable(full_control src/full_control/main.cpp)

target_link_libraries(full_control
  PRIVATE
    rmf_fleet_adapter
    ${rmf_fleet_msgs_LIBRARIES}
    ${rmf_task_msgs_LIBRARIES}
)

target_include_directories(full_control
  PRIVATE
    ${rmf_fleet_msgs_INCLUDE_DIRS}
    ${rmf_task_msgs_INCLUDE_DIRS}
)

# -----------------------------------------------------------------------------

add_executable(mock_traffic_light src/mock_traffic_light/main.cpp)

target_link_libraries(mock_traffic_light
  PRIVATE
    rmf_fleet_adapter
    ${rmf_task_msgs_LIBRARIES}
    ${rmf_fleet_msgs_LIBRARIES}
)

target_include_directories(mock_traffic_light
  PRIVATE
    ${rmf_task_msgs_INCLUDE_DIRS}
    ${rmf_fleet_msgs_INCLUDE_DIRS}
)

# -----------------------------------------------------------------------------

add_executable(lift_supervisor
  src/lift_supervisor/main.cpp
  src/lift_supervisor/Node.cpp
)

target_link_libraries(lift_supervisor
  PRIVATE
    rmf_fleet_adapter
    ${rclcpp_LIBARRIES}
    ${rmf_lift_msgs_LIBRARIES}
    ${std_msgs_LIBRARIES}
)

target_include_directories(lift_supervisor
  PRIVATE
    ${rclcpp_INCLUDE_DIRS}
    ${rmf_lift_msgs_INCLUDE_DIRS}
    ${std_msgs_INCLUDE_DIRS}
)

# -----------------------------------------------------------------------------

add_executable(experimental_lift_watchdog
  src/experimental_lift_watchdog/main.cpp
)

target_link_libraries(experimental_lift_watchdog
  PRIVATE
    ${rclcpp_LIBRARIES}
    ${rmf_fleet_msgs_LIBRARIES}
    ${std_msgs_LIBRARIES}
)

target_include_directories(experimental_lift_watchdog
  PRIVATE
    ${rclcpp_INCLUDE_DIRS}
    ${rmf_fleet_msgs_INCLUDE_DIRS}
    ${std_msgs_INCLUDE_DIRS}
)

# -----------------------------------------------------------------------------

add_executable(door_supervisor
  src/door_supervisor/main.cpp
  src/door_supervisor/Node.cpp
)

target_link_libraries(door_supervisor
  PRIVATE
    rmf_fleet_adapter
    ${rclcpp_LIBRARIES}
    ${rmf_door_msgs_LIBRARIES}
)

target_include_directories(door_supervisor
  PRIVATE
    ${rclcpp_INCLUDE_DIRS}
    ${rmf_door_msgs_INCLUDE_DIRS}
)

# -----------------------------------------------------------------------------

add_library(robot_state_aggregator_main SHARED
  src/robot_state_aggregator/RobotStateAggregator.cpp
)

target_include_directories(robot_state_aggregator_main
  PRIVATE
    include
    ${rclcpp_INCLUDE_DIRS}
    ${rmf_fleet_msgs_INCLUDE_DIRS}
    ${stubborn_buddies_msgs_INCLUDE_DIRS})

target_compile_definitions(robot_state_aggregator_main
  PRIVATE "COMPOSITION_BUILDING_DLL"
)


if(DEFINED ENV{RMF_ENABLE_FAILOVER})
  if($ENV{RMF_ENABLE_FAILOVER} EQUAL 1)
    ament_target_dependencies(robot_state_aggregator_main
      "rclcpp"
      "rclcpp_components"
      "std_msgs"
      "stubborn_buddies_msgs"
      "rmf_fleet_msgs"
    )
  else()
    ament_target_dependencies(robot_state_aggregator_main
      "rclcpp"
      "rclcpp_components"
      "std_msgs"
      "rmf_fleet_msgs"
    )
  endif()
else()
  ament_target_dependencies(robot_state_aggregator_main
    "rclcpp"
    "rclcpp_components"
    "std_msgs"
    "rmf_fleet_msgs"
  )
endif()

rclcpp_components_register_nodes(robot_state_aggregator_main
  "RobotStateAggregator"
)

set(node_plugins "${node_plugins}RobotStateAggregator;
    $<TARGET_FILE:robot_state_aggregator_main>\n")

# since the package installs libraries without exporting them
# it needs to make sure that the library path is being exported
if(NOT WIN32)
  ament_environment_hooks(
    "${ament_cmake_package_templates_ENVIRONMENT_HOOK_LIBRARY_PATH}")
endif()

add_executable(robot_state_aggregator
  src/robot_state_aggregator/main.cpp
)

if(DEFINED ENV{RMF_ENABLE_FAILOVER})
  if($ENV{RMF_ENABLE_FAILOVER} EQUAL 1)
    add_compile_definitions(FAILOVER_MODE)
    set(robot_state_aggregator_main_libs
      robot_state_aggregator_main
      stubborn_buddies::lifecycle_watchdog
      stubborn_buddies::lifecycle_heartbeat
    )
  else()
    set(robot_state_aggregator_main_libs
      robot_state_aggregator_main
    )
  endif()
else()
  set(robot_state_aggregator_main_libs
    robot_state_aggregator_main
  )
endif()


if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
  set(robot_state_aggregator_main_libs
    "-Wl,--no-as-needed"
    ${robot_state_aggregator_main_libs}
    "-Wl,--as-needed")
endif()

target_link_libraries(robot_state_aggregator
  ${robot_state_aggregator_main_libs})

ament_target_dependencies(robot_state_aggregator
  "class_loader"
  "rclcpp"
  "rclcpp_components"
)

# -----------------------------------------------------------------------------

add_executable(test_read_only_adapter
  test/test_read_only_adapter.cpp
)

target_link_libraries(test_read_only_adapter
  PRIVATE
    rmf_fleet_adapter
)

# -----------------------------------------------------------------------------

add_executable(dump_fleet_states
  test/dump_fleet_states
)

target_link_libraries(dump_fleet_states
  PRIVATE
    rmf_fleet_adapter
    ${rclcpp_LIBRARIES}
    ${rmf_fleet_msgs_LIBRARIES}
)

target_include_directories(dump_fleet_states
  PRIVATE
    ${rclcpp_INCLUDE_DIRS}
    ${rmf_fleet_msgs_INCLUDE_DIRS}
)

# -----------------------------------------------------------------------------

add_executable(task_aggregator
  src/task_aggregator/main.cpp
)

target_link_libraries(task_aggregator
  PRIVATE
    rmf_fleet_adapter
    ${rclcpp_LIBRARIES}
    ${rmf_task_msgs_LIBRARIES}
)

target_include_directories(task_aggregator
  PRIVATE
    ${rclcpp_INCLUDE_DIRS}
    ${rmf_task_msgs_INCLUDE_DIRS}
)

# -----------------------------------------------------------------------------

add_executable(open_lanes src/open_lanes/main.cpp)

target_link_libraries(open_lanes
  PRIVATE
    ${rmf_fleet_msgs_LIBRARIES}
    rclcpp::rclcpp
    rmf_fleet_adapter
)

target_include_directories(open_lanes
  PRIVATE
    ${rmf_fleet_msgs_INCLUDE_DIRS}
)

# -----------------------------------------------------------------------------

add_executable(close_lanes src/close_lanes/main.cpp)

target_link_libraries(close_lanes
  PRIVATE
    ${rmf_fleet_msgs_LIBRARIES}
    rclcpp::rclcpp
    rmf_fleet_adapter
)

target_include_directories(close_lanes
  PRIVATE
    ${rmf_fleet_msgs_INCLUDE_DIRS}
)

# -----------------------------------------------------------------------------

ament_export_targets(rmf_fleet_adapter HAS_LIBRARY_TARGET)
ament_export_dependencies(
  rmf_task
  rmf_traffic_ros2
  rmf_fleet_msgs
  rmf_door_msgs
  rmf_lift_msgs
  rmf_ingestor_msgs
  rmf_dispenser_msgs
)

install(
  TARGETS
    rmf_fleet_adapter
    read_only
    read_only_blockade
    mock_traffic_light
    full_control
    lift_supervisor
    experimental_lift_watchdog
    door_supervisor
    robot_state_aggregator
    test_read_only_adapter
    task_aggregator
    open_lanes
    close_lanes
    robot_state_aggregator_main
  EXPORT rmf_fleet_adapter
  RUNTIME DESTINATION lib/rmf_fleet_adapter
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
)

# -----------------------------------------------------------------------------

install(DIRECTORY
  launch/
  DESTINATION share/${PROJECT_NAME}
)

install(
  DIRECTORY include/
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

ament_package()

=== rmf_rxcpp/RxCpp-4.1.0/Rx/v2/examples/doxygen/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2 FATAL_ERROR)

get_filename_component(SAMPLE_PROJECT "${CMAKE_CURRENT_SOURCE_DIR}" NAME)

project(${SAMPLE_PROJECT} LANGUAGES C CXX)

# define some folders
get_filename_component(RXCPP_DIR "${CMAKE_CURRENT_SOURCE_DIR}" PATH)
get_filename_component(RXCPP_DIR "${RXCPP_DIR}" PATH)
get_filename_component(RXCPP_DIR "${RXCPP_DIR}" PATH)
get_filename_component(RXCPP_DIR "${RXCPP_DIR}" PATH)

MESSAGE( STATUS "RXCPP_DIR: " ${RXCPP_DIR} )

include(${RXCPP_DIR}/projects/CMake/shared.cmake)

# define the sources
file(GLOB SAMPLE_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")
add_executable(${SAMPLE_PROJECT} ${SAMPLE_SOURCES})
add_executable(rxcpp::examples::${SAMPLE_PROJECT} ALIAS ${SAMPLE_PROJECT})
target_compile_options(${SAMPLE_PROJECT} PUBLIC ${RX_COMPILE_OPTIONS})
target_compile_features(${SAMPLE_PROJECT} PUBLIC ${RX_COMPILE_FEATURES})
target_include_directories(${SAMPLE_PROJECT} PUBLIC ${RX_SRC_DIR} ${RX_CATCH_DIR})
target_link_libraries(${SAMPLE_PROJECT} ${CMAKE_THREAD_LIBS_INIT})

# configure unit tests via CTest
enable_testing()
set(CTEST_CONFIGURATION_TYPE "${JOB_BUILD_CONFIGURATION}")

add_test(NAME RunTests
     WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
     COMMAND ${SAMPLE_PROJECT} ${TEST_ARGS})

=== rmf_rxcpp/RxCpp-4.1.0/Rx/v2/examples/win_text/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

get_filename_component(SAMPLE_PROJECT "${CMAKE_CURRENT_SOURCE_DIR}" NAME)

project(${SAMPLE_PROJECT})

FIND_PACKAGE(Threads)

MESSAGE( STATUS "CMAKE_CXX_COMPILER_ID: " ${CMAKE_CXX_COMPILER_ID} )
if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    MESSAGE( STATUS "using clang settings" )
    add_compile_options( -Wall -Wextra -Werror )
    add_compile_options( -std=c++11 -stdlib=libc++ )
    add_compile_options( -ftemplate-depth=1024 ) # sometimes you just do what the compiler tells you
elseif (CMAKE_CXX_COMPILER_ID MATCHES "GNU")
    MESSAGE( STATUS "using gnu settings" )
    add_compile_options( -Wall -Wextra -Werror )
    add_compile_options( -std=c++11 )
elseif (CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
    MESSAGE( STATUS "using msvc settings" )
    add_compile_options( /W4 /WX )
    add_compile_options( /wd4503 ) # truncated symbol
    add_compile_options( /wd4702 ) # unreachable code
    add_compile_options( /wd4091 ) # typedef ignored on left when no variable is declared
    add_compile_options( /bigobj )
    add_definitions( /DUNICODE /D_UNICODE ) # it is a new millenium
endif()


# define some folders
get_filename_component(RXCPP_DIR "${CMAKE_CURRENT_SOURCE_DIR}" PATH)
get_filename_component(RXCPP_DIR "${RXCPP_DIR}" PATH)
get_filename_component(RXCPP_DIR "${RXCPP_DIR}" PATH)
get_filename_component(RXCPP_DIR "${RXCPP_DIR}" PATH)

MESSAGE( STATUS "RXCPP_DIR: " ${RXCPP_DIR} )

include_directories(SYSTEM ${RXCPP_DIR}/ext/catch/include)
include_directories(${RXCPP_DIR}/Ix/CPP/src ${RXCPP_DIR}/Rx/v2/src)

# define the sources
set(SAMPLE_SOURCES
    ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
)
add_executable(${SAMPLE_PROJECT} WIN32 ${SAMPLE_SOURCES})
TARGET_LINK_LIBRARIES(${SAMPLE_PROJECT} ${CMAKE_THREAD_LIBS_INIT})

# configure unit tests via CTest
enable_testing()
set(CTEST_CONFIGURATION_TYPE "${JOB_BUILD_CONFIGURATION}")

add_test(NAME RunTests 
     WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
     COMMAND ${SAMPLE_PROJECT} ${TEST_ARGS})

=== debian/changelog ===
ros-galactic-rmf-fleet-adapter (1.4.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Grey <grey@openrobotics.org>  Thu, 09 Sep 2021 03:27:43 -0000

=== debian/control ===
Source: ros-galactic-rmf-fleet-adapter
Section: misc
Priority: optional
Maintainer: Grey <grey@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libyaml-cpp-dev, ros-galactic-ament-cmake, ros-galactic-ament-cmake-catch2, ros-galactic-rclcpp, ros-galactic-rclcpp-components, ros-galactic-rmf-battery, ros-galactic-rmf-cmake-uncrustify, ros-galactic-rmf-dispenser-msgs, ros-galactic-rmf-door-msgs, ros-galactic-rmf-fleet-msgs, ros-galactic-rmf-ingestor-msgs, ros-galactic-rmf-lift-msgs, ros-galactic-rmf-task, ros-galactic-rmf-task-msgs, ros-galactic-rmf-traffic, ros-galactic-rmf-traffic-ros2, ros-galactic-rmf-utils, ros-galactic-std-msgs, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rmf-fleet-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-rclcpp, ros-galactic-rclcpp-components, ros-galactic-rmf-battery, ros-galactic-rmf-dispenser-msgs, ros-galactic-rmf-door-msgs, ros-galactic-rmf-fleet-msgs, ros-galactic-rmf-ingestor-msgs, ros-galactic-rmf-lift-msgs, ros-galactic-rmf-task, ros-galactic-rmf-task-msgs, ros-galactic-rmf-traffic, ros-galactic-rmf-traffic-ros2, ros-galactic-rmf-utils, ros-galactic-std-msgs, ros-galactic-ros-workspace
Description: Fleet Adapter package for RMF fleets.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-rmf-fleet-adapter//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
